<?php

use SilverStripe\CMS\Controllers\ContentController;
use SilverStripe\Control\HTTPRequest;

class GenelgelerController extends PageController
{
    private static $allowed_actions = [
        'show'
    ];

    public function show(HTTPRequest $request)
    {
        $region = GenelgelerItem::get()->byID($request->param('ID'));
		//$region = GenelgelerItem::get()->filter('URLSegment', $request->param('ID'))->first();

        if(!$region) {
            return $this->httpError(404,'That region could not be found');
        }

        return [
            'GenelgelerItem' => $region,
            'Title' => $region->Title,
            'Contents' => $region->Contents,
        ];
    }

}
